<?php
$numberOfWords = 12;
$defaultDescription = true;
$defaultDescriptionColor = 'white';
$defaultDescriptionHoverColor = 'white';
$defaultDescriptionTextAlign = 'center';
$defaultDescriptionLineHeight = '22';
$defaultDescriptionMarginBottom = '20';
if(isset($allSlider[71])){
  $defaultDescription = false;
}
if ($allSlider[0]) {
  echo "<div class='wpm-6310-carousel'>
  <div id='wpm-6310-slider-{$ids}' class='wpm-6310-owl-carousel'>";
  if ($members) {
    foreach ($members as $value) {
      $attr2 = [];
        if ($value['profile_details_type'] == 1) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
        $attr2 = [
            " link-id='{$value['id']}' team-id='0'",
            wpm_6310_validate_profile_url($value['profile_url']),
            $value['open_new_tab']
        ];
        } else if ($value['profile_details_type'] == 2) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='0' team-id='{$value['id']}'";
        $attr2[] = $attr;
        } else {
        $cls = '';
        $attr = " link-id='0' team-id='0'";
        $attr2[] = $attr;
        }
      $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
?>
      <div class="wpm-6310-item-<?php echo $ids; ?>" >
      <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
            <?php 
              echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
            ?>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content_cell">
              <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
              <?php
              wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
              wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
              ?>
               <?php echo wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']); ?>
            </div>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_display">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
          </div>
        </div>
      </div>
    <?php
    }
  }
  echo "</div>
  </div>";
} else {
  if ($members) {
    wpm_6310_search_template($ids, $allSlider, $desktop_row);
    wpm_6310_category_menu($categoryData, $ids, $styledata['categoryids'], 1);
    if(!isset($allSlider[101]) || $allSlider[101] == 0){
    echo "<div class='wpm-6310-row wpm-6310-default-members'>";
    foreach ($members as $value) {
      $attr2 = [];
        if ($value['profile_details_type'] == 1) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
        $attr2 = [
            " link-id='{$value['id']}' team-id='0'",
            wpm_6310_validate_profile_url($value['profile_url']),
            $value['open_new_tab']
        ];
        } else if ($value['profile_details_type'] == 2) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='0' team-id='{$value['id']}'";
        $attr2[] = $attr;
        } else {
        $cls = '';
        $attr = " link-id='0' team-id='0'";
        $attr2[] = $attr;
        }
      $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
    ?>
      <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
      <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
            <?php 
              echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
            ?>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content_cell">
              <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
              <?php
              wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
              wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
              ?>
              <?php echo wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']); ?>
            </div>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_display">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>            
          </div>
      </div>
      </div>
<?php
    }
    echo "</div>";
  }
  }
  if($filterList && isset($allSlider[101]) && $allSlider[101] == 1){
    $catIdList = explode(",", $styledata['categoryids']);
    foreach($filterList as $filterKey => $filterValue){
      $returnMember = wpm_6310_extract_members($filterValue);
      $catMembers = $returnMember['members'];
      if(wpm_6310_order_type($styledata['memberid'])) {
        shuffle($catMembers);
      }
      if ($catMembers) {
        $displayCSS = wpm_6310_first_category($catIdList[0], $filterKey);
        echo "<div class='wpm-6310-row {$filterKey}' {$displayCSS}>";
        foreach ($catMembers as $value) {
          $attr2 = [];
            if ($value['profile_details_type'] == 1) {
            $cls = " wpm_6310_team_member_info";
            $attr = " link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
            $attr2 = [
               " link-id='{$value['id']}' team-id='0'",
               wpm_6310_validate_profile_url($value['profile_url']),
               $value['open_new_tab']
            ];
            } else if ($value['profile_details_type'] == 2) {
            $cls = " wpm_6310_team_member_info";
            $attr = " link-id='0' team-id='{$value['id']}'";
            $attr2[] = $attr;
            } else {
            $cls = '';
            $attr = " link-id='0' team-id='0'";
            $attr2[] = $attr;
            }
          $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
        ?>
          <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
          <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
                <?php 
              echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
            ?>
              </div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
                <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content_cell">
                  <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
                  <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
                  <?php
                  wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
                  wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                  ?>
                  <?php echo wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']); ?>
                </div>
              </div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_team_display">
                <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
                <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>                
              </div>
          </div>
          </div>
    <?php
        }
        echo "</div>";
      }
    }
  }
}
?>

<style type="text/css">
  .wpm_6310_team_style_<?php echo $ids ?> {
    text-align: center;
    overflow: hidden;
    transition: all 0.3s ease 0s;
    -webkit-border-radius: <?php echo $allStyle[2] ?>%;
    -o-border-radius: <?php echo $allStyle[2] ?>%;
    -moz-border-radius: <?php echo $allStyle[2] ?>%;
    -ms-border-radius: <?php echo $allStyle[2] ?>%;
    border-radius: <?php echo $allStyle[2] ?>%;
    border-style: solid;
    border-width: <?php echo $allStyle[3] ?>px;
    border-color: <?php echo $allStyle[4] ?>;
    box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -moz-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -o-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -webkit-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -ms-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    width: 100%;
    float: left;
    position: relative;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_pic {
    position: relative;
    overflow: hidden;
    float: left;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>img {
    width: 100%;
    height: auto;
    float: left;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_content {
    height: 100%;
    position: absolute;
    top: 0;
    left: -100%;
    right: 0;
    bottom: 0;
    padding: 30px 0;
    background: <?php echo $allStyle[7] ?>;
    transition: all 0.20s ease 0s;
    width: 100%;
    display: flex;
    align-items: center;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_content_cell {
    display: table-cell;
    vertical-align: middle;
    float: left;
    padding: 0 15px;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover .wpm_6310_team_style_<?php echo $ids ?>_team_content {
    left: 0;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_content .wpm_6310_team_style_<?php echo $ids ?>_title {
    font-size: <?php echo $allStyle[11] ?>px;
    color: <?php echo $allStyle[12] ?>;
    font-weight: <?php echo $allStyle[15] ?>;
    text-transform: <?php echo $allStyle[16]; ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[17]); ?>;
    line-height: <?php echo $allStyle[18] ?>px;
    float: left;
    width: 100%;
    margin-top: <?php echo (isset($allSlider[41]) && $allSlider[41] !== '') ? $allSlider[41]:0;?>px;
    margin-bottom: <?php echo (isset($allSlider[42]) && $allSlider[42] !== '') ? $allSlider[42]:0;?>px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_content .wpm_6310_team_style_<?php echo $ids ?>_designation {
    font-size: <?php echo $allStyle[19] ?>px;
    color: <?php echo $allStyle[20] ?>;
    font-weight: <?php echo $allStyle[21] ?>;
    text-transform: <?php echo $allStyle[22] ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[23]); ?>;
    line-height: <?php echo $allStyle[24] ?>px;
    display: block;
    float: left;
    width: 100%;
    margin-top: <?php echo (isset($allSlider[51]) && $allSlider[51] !== '') ? $allSlider[51]:0;?>px;
    margin-bottom: <?php echo (isset($allSlider[52]) && $allSlider[52] !== '') ? $allSlider[52]:10;?>px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_social {
    display: <?php echo (!isset($allStyle[31]) || (isset($allStyle[31]) && $allStyle[31])) ? 'block':'none'?>;
    list-style: none;
    padding: 0;
    margin: 0;
    float: left;
    width: 100%;
    margin-top: <?php echo (isset($allSlider[61]) && $allSlider[61] !== '') ? $allSlider[61]:0;?>px;
    margin-bottom: <?php echo (isset($allSlider[62]) && $allSlider[62] !== '') ? $allSlider[62]:0;?>px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_social li {
    display: inline-block;
    margin: 0 5px 0 0;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_social li:last-child {
    margin-right: 0px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_social li a {
    display: inline-block;
    font-size: <?php echo ceil(($allStyle[26] + $allStyle[27]) / 4) ?>px;
    border-radius: <?php echo $allStyle[30] ?>%;
    -moz-border-radius: <?php echo $allStyle[30] ?>%;
    -webkit-border-radius: <?php echo $allStyle[30] ?>%;
    -o-border-radius: <?php echo $allStyle[30] ?>%;
    -ms-border-radius: <?php echo $allStyle[30] ?>%;
    text-align: center;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_display {
    width: 100%;
    position: absolute;
    bottom: 0;
    text-align: right;
    padding: 30px 0;
    float: left;
    background: <?php echo $allStyle[7] ?>;
    transform: translateX(0);
    transition: all 0.20s ease 0s;

  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover .wpm_6310_team_style_<?php echo $ids ?>_team_display {
    transform: translateX(100%);
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_display .wpm_6310_team_style_<?php echo $ids ?>_title {
    font-size: <?php echo $allStyle[11] ?>px;
    color: <?php echo $allStyle[12] ?>;
    font-weight: <?php echo $allStyle[15] ?>;
    text-transform: <?php echo $allStyle[16]; ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[17]); ?>;
    line-height: <?php echo $allStyle[18] ?>px;
    margin-left: 15px;
    margin-right: 15px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_display .wpm_6310_team_style_<?php echo $ids ?>_designation {
    font-size: <?php echo $allStyle[19] ?>px;
    color: <?php echo $allStyle[20] ?>;
    font-weight: <?php echo $allStyle[21] ?>;
    text-transform: <?php echo $allStyle[22] ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[23]); ?>;
    line-height: <?php echo $allStyle[24] ?>px;
    margin-bottom: 0;
    margin-left: 15px;
    margin-right: 15px;
  }
</style>

<?php
include wpm_6310_plugin_url . "output/common-output-file.php";
wpm6310_common_output_css($ids);
?>